[Ironruby-core] New revisions

Terence Lewis lewistm at gmail.com
Sun Dec 7 11:09:57 EST 2008


Installing a newer version of MRI (186-26) has fixed my problems! I can now
compile ironruby using rake compile.

Thanks for the helpful advice in getting this working.

On Sat, Dec 6, 2008 at 1:07 PM, Terence Lewis <lewistm at gmail.com> wrote:

> Still not working, but a little better:
>
> D:\Projects\OpenSource\ironruby\ironruby\merlin\main\Languages\Ruby>rake
> compile --trace
> (in D:/Projects/OpenSource/ironruby/ironruby/merlin/main/Languages/Ruby)
> ** Invoke compile (first_time)
> ** Invoke happy (first_time)
> ** Execute happy
> ** Invoke clean_build (first_time)
> ** Invoke happy
> ** Execute clean_build
> ** Invoke compile_dlr (first_time)
> ** Invoke compile_extension_attributes (first_time)
> ** Invoke clean_build
> ** Execute compile_extension_attributes
>
> -------------------------------------------------------------------------------
> dlr_core
>
> -------------------------------------------------------------------------------
> rake aborted!
> wrong number of arguments (1 for 0)
> ./context.rb:508:in `collect'
> ./context.rb:508:in `get_compile_path_list'
> ./context.rb:540:in `compile'
> ./context.rb:522:in `chdir'
> ./context.rb:522:in `compile'
>
> D:/Projects/OpenSource/ironruby/ironruby/merlin/main/Languages/Ruby/rake/compile.rake:28
> ./context.rb:702:in `instance_eval'
> ./context.rb:702:in `source_context'
>
> D:/Projects/OpenSource/ironruby/ironruby/merlin/main/Languages/Ruby/rake/compile.rake:27
> c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:617:in `call'
> c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:617:in `execute'
> c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:612:in `each'
> c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:612:in `execute'
> c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:578:in
> `invoke_with_call_chain'
> c:/ruby/lib/ruby/1.8/monitor.rb:238:in `synchronize'
> c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:571:in
> `invoke_with_call_chain'
> c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:588:in
> `invoke_prerequisites'
> c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:585:in `each'
> c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:585:in
> `invoke_prerequisites'
> c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:577:in
> `invoke_with_call_chain'
> c:/ruby/lib/ruby/1.8/monitor.rb:238:in `synchronize'
> c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:571:in
> `invoke_with_call_chain'
> c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:588:in
> `invoke_prerequisites'
> c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:585:in `each'
> c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:585:in
> `invoke_prerequisites'
> c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:577:in
> `invoke_with_call_chain'
> c:/ruby/lib/ruby/1.8/monitor.rb:238:in `synchronize'
> c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:571:in
> `invoke_with_call_chain'
> c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:564:in `invoke'
> c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:2019:in `invoke_task'
> c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1997:in `top_level'
> c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1997:in `each'
> c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1997:in `top_level'
> c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:2036:in
> `standard_exception_handling'
> c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1991:in `top_level'
> c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1970:in `run'
> c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:2036:in
> `standard_exception_handling'
> c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/lib/rake.rb:1967:in `run'
> c:/ruby/lib/ruby/gems/1.8/gems/rake-0.8.3/bin/rake:31
> c:/ruby/bin/rake.bat:25:in `load'
> c:/ruby/bin/rake.bat:25
>
>
> On Sat, Dec 6, 2008 at 1:00 PM, Jim Deville <jdeville at microsoft.com>wrote:
>
>>  Hm… That one needs to be fixed. For now, you can modify
>> merlin/main/languages/ruby/rake/misc.rake. Remove the check for tf.exe from
>> the "happy" task.
>>
>>
>>
>> I'll work on a change for that.
>>
>>
>>
>> JD
>>
>>
>>
>> *From:* ironruby-core-bounces at rubyforge.org [mailto:
>> ironruby-core-bounces at rubyforge.org] *On Behalf Of *Terence Lewis
>> *Sent:* Saturday, December 06, 2008 2:45 AM
>>
>> *To:* ironruby-core at rubyforge.org
>> *Subject:* Re: [Ironruby-core] New revisions
>>
>>
>>
>> Thanks for the speedy reply Jim. After setting up MERLIN_ROOT, I then get:
>>
>> (in D:/Projects/OpenSource/ironruby/ironruby/merlin/main/Languages/Ruby)
>> Cannot find tf.exe on system path.
>>
>> ***** Missing commands! You must have the .NET redist and the SDK
>> ***** (for resgen.exe) installed. If you are synchronizing source
>> ***** trees *inside* Microsoft, you must have both tfs.exe and
>> ***** svn.exe on your path.
>>
>>
>> I have VS2008 SP1 installed and resgen.exe is visible on my path...
>>
>>  On Sat, Dec 6, 2008 at 12:41 PM, Jim Deville <jdeville at microsoft.com>
>> wrote:
>>
>> Have you set the MERLIN_ROOT environment variable? It is needed to compile
>> the sources in Git. From the command line, run
>>
>>
>>
>> set MERLIN_ROOT=<<<git repo root>>>\merlin\main
>>
>>
>>
>>
>>
>> Once we get the automation infrastructure into place, we will get rid of
>> the code for the SVN repository, and then you won't need that variable.
>>
>>
>>
>> Hope that helps,
>>
>>
>>
>> JD
>>
>> *From:* ironruby-core-bounces at rubyforge.org [mailto:
>> ironruby-core-bounces at rubyforge.org] *On Behalf Of *Terence Lewis
>> *Sent:* Saturday, December 06, 2008 2:35 AM
>>
>>
>> *To:* ironruby-core at rubyforge.org
>>
>> *Subject:* Re: [Ironruby-core] New revisions
>>
>>
>>
>> When I do a fresh checkout (git clone git://
>> github.com/ironruby/ironruby.git) and then go into the
>> 'merlin\main\Languages\Ruby' folder and run 'rake compile' I get:
>>
>>
>> -------------------------------------------------------------------------------
>> dlr_core
>>
>> -------------------------------------------------------------------------------
>> rake aborted!
>> No such file or directory -
>> d:\projects\opensource\ironruby\ironruby\merlin\main\languages\ruby\src\microsoft.scripting.core
>>
>>
>> How do I go about fixing this?
>>
>>
>> Thanks
>>
>> Terence
>>
>> On Sat, Dec 6, 2008 at 10:38 AM, Jim Deville <jdeville at microsoft.com>
>> wrote:
>>
>> 179 is pushed as well.
>>
>>
>>
>>
>>
>> JD
>>
>>
>>
>> *From:* ironruby-core-bounces at rubyforge.org [mailto:
>> ironruby-core-bounces at rubyforge.org] *On Behalf Of *Jim Deville
>> *Sent:* Saturday, December 06, 2008 12:00 AM
>> *To:* ironruby-core at rubyforge.org
>> *Subject:* [Ironruby-core] New revisions
>>
>>
>>
>> Git has been pushed. SVN is coming shortly.
>>
>>
>>
>> ~~~~
>>
>> JD
>>
>> http://blog.jredville.com
>>
>>
>>
>>
>> _______________________________________________
>> Ironruby-core mailing list
>> Ironruby-core at rubyforge.org
>> http://rubyforge.org/mailman/listinfo/ironruby-core
>>
>>
>>
>>
>> _______________________________________________
>> Ironruby-core mailing list
>> Ironruby-core at rubyforge.org
>> http://rubyforge.org/mailman/listinfo/ironruby-core
>>
>>
>>
>> _______________________________________________
>> Ironruby-core mailing list
>> Ironruby-core at rubyforge.org
>> http://rubyforge.org/mailman/listinfo/ironruby-core
>>
>>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://rubyforge.org/pipermail/ironruby-core/attachments/20081207/dfc8cc0b/attachment-0001.html>


More information about the Ironruby-core mailing list